/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { FullStochasticOscillatorIndicatorStrategy } from "./FullStochasticOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
/**
 * @hidden
 */
export let FullStochasticOscillatorIndicator = /*@__PURE__*/ (() => {
    class FullStochasticOscillatorIndicator extends StrategyBasedIndicator {
        constructor() {
            super();
            this.trendLineBrush = ((() => {
                let $ret = new Brush();
                $ret.fill = "#565656";
                return $ret;
            })());
            this.trendLineType = 10;
            this.trendLinePeriod = 3;
        }
        bg() {
            return new FullStochasticOscillatorIndicator();
        }
        get_yz() {
            return new FullStochasticOscillatorIndicatorStrategy();
        }
        get yz() {
            return this.get_yz();
        }
        get_zc() {
            return FullStochasticOscillatorIndicator.$;
        }
        get zc() {
            return this.get_zc();
        }
        get zk() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.zp));
        }
        set zk(a) {
            this.h(FullStochasticOscillatorIndicator.zp, a);
        }
        y5() {
            return this.zk;
        }
        ze(a) {
            this.zk = a;
        }
        get smoothingPeriod() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.zq));
        }
        set smoothingPeriod(a) {
            this.h(FullStochasticOscillatorIndicator.zq, a);
        }
        y7() {
            return this.smoothingPeriod;
        }
        get zm() {
            return typeGetValue(this.c(FullStochasticOscillatorIndicator.zr));
        }
        set zm(a) {
            this.h(FullStochasticOscillatorIndicator.zr, a);
        }
        y4() {
            return this.zm;
        }
        yf() {
            return this.zm;
        }
    }
    FullStochasticOscillatorIndicator.$t = markType(FullStochasticOscillatorIndicator, 'FullStochasticOscillatorIndicator', StrategyBasedIndicator.$);
    FullStochasticOscillatorIndicator.zp = StrategyBasedIndicator.zh(14, FullStochasticOscillatorIndicator.$);
    FullStochasticOscillatorIndicator.zq = StrategyBasedIndicator.zi(3, FullStochasticOscillatorIndicator.$, "SmoothingPeriod");
    FullStochasticOscillatorIndicator.zr = StrategyBasedIndicator.zi(3, FullStochasticOscillatorIndicator.$, "TriggerPeriod");
    return FullStochasticOscillatorIndicator;
})();
